Subject: bug#40123: glibc-locales: links missing in root user profile

From: Leo Famulari <[email-masked]>
Date: Wed, 18 Mar 2020 21:15:33 -0400

On Wed, Mar 18, 2020 at 10:57:53PM +0100, Mikael Djurfeldt wrote:
> David, for your problem, I'm wondering if it couldn't be related to what
> everyone has asked me: how you become root.

Usually when you need to "be root" it just means that you want superuser
privileges, so people do `sudo su` or `sudo apt-get install foo`. It
works to execute the command, and most of the time it doesn't matter
which user actually runs the command.

But Guix is specifically designed as a per-user package manager. Each
user has their own view of "what is installed". It does matter who runs
commands like `guix pull` and `guix package`, because those commands
only affect the user who runs them.

This is why we are careful when giving examples using sudo, saying
either `sudo -E [--preserve-env]` or `sudo -i [--login]`, so that one
explicitly chooses which user to be.

The issue you had could be related...